pub use self::contact_manifold::{ContactManifold, TrackedContact};
pub use self::contact_manifolds_ball_ball::{
    contact_manifold_ball_ball, contact_manifold_ball_ball_shapes,
};
pub use self::contact_manifolds_capsule_capsule::{
    contact_manifold_capsule_capsule, contact_manifold_capsule_capsule_shapes,
};
pub use self::contact_manifolds_convex_ball::{
    contact_manifold_convex_ball, contact_manifold_convex_ball_shapes,
};
// pub use self::contact_manifolds_cuboid_capsule::{
//     contact_manifold_cuboid_capsule, contact_manifold_cuboid_capsule_shapes,
// };
pub use self::contact_manifolds_composite_shape_composite_shape::contact_manifolds_composite_shape_composite_shape;
pub use self::contact_manifolds_composite_shape_shape::contact_manifolds_composite_shape_shape;
pub use self::contact_manifolds_cuboid_cuboid::{
    contact_manifold_cuboid_cuboid, contact_manifold_cuboid_cuboid_shapes,
};
pub use self::contact_manifolds_cuboid_triangle::{
    contact_manifold_cuboid_triangle, contact_manifold_cuboid_triangle_shapes,
};
pub use self::contact_manifolds_halfspace_pfm::{
    contact_manifold_halfspace_pfm, contact_manifold_halfspace_pfm_shapes,
};
pub use self::contact_manifolds_heightfield_composite_shape::contact_manifolds_heightfield_composite_shape;
pub use self::contact_manifolds_heightfield_shape::{
    contact_manifolds_heightfield_shape, contact_manifolds_heightfield_shape_shapes,
};
pub use self::contact_manifolds_pfm_pfm::{
    contact_manifold_pfm_pfm, contact_manifold_pfm_pfm_shapes,
};
pub use self::contact_manifolds_trimesh_shape::{
    contact_manifolds_trimesh_shape, contact_manifolds_trimesh_shape_shapes,
};
pub use self::contact_manifolds_workspace::{
    ContactManifoldsWorkspace, TypedWorkspaceData, WorkspaceData,
};

pub(self) use {
    self::contact_manifolds_composite_shape_composite_shape::CompositeShapeCompositeShapeContactManifoldsWorkspace,
    self::contact_manifolds_composite_shape_shape::CompositeShapeShapeContactManifoldsWorkspace,
    self::contact_manifolds_heightfield_composite_shape::HeightFieldCompositeShapeContactManifoldsWorkspace,
    self::contact_manifolds_heightfield_shape::HeightFieldShapeContactManifoldsWorkspace,
    self::contact_manifolds_trimesh_shape::TriMeshShapeContactManifoldsWorkspace,
    self::internal_edges_fixer::InternalEdgesFixer,
};

mod contact_manifold;
mod contact_manifolds_ball_ball;
mod contact_manifolds_capsule_capsule;
mod contact_manifolds_convex_ball;
// mod contact_manifolds_cuboid_capsule;
mod contact_manifolds_composite_shape_composite_shape;
mod contact_manifolds_composite_shape_shape;
mod contact_manifolds_cuboid_cuboid;
mod contact_manifolds_cuboid_triangle;
mod contact_manifolds_halfspace_pfm;
mod contact_manifolds_heightfield_composite_shape;
mod contact_manifolds_heightfield_shape;
mod contact_manifolds_pfm_pfm;
mod contact_manifolds_trimesh_shape;
mod contact_manifolds_workspace;
mod internal_edges_fixer;
